# List

Launch stage: Beta

`GET /api/2.1/{parent=supervisor-agents/*}/examples`

Lists examples under a Supervisor Agent.

API scopes: supervisor-agents

## Path parameters

- `parent` (string, optional)
  Parent resource to list from.
   Format: supervisor-agents/{supervisor_agent_id}

## Query parameters

- `page_size` (int32, optional)
  The maximum number of examples to return.
   If unspecified, at most 100 examples will be returned.
   The maximum value is 100; values above 100 will be coerced to 100.
  Constraints: `[ 1 .. 100 ]`
- `page_token` (string, optional)
  A page token, received from a previous `ListExamples` call.
   Provide this to retrieve the subsequent page.
   If unspecified, the first page will be returned.

## Returns

Returns a list of Example objects.

## Response

```json
{
  "examples": [
    {
      "name": "string",
      "question": "string",
      "guidelines": [
        "string"
      ],
      "example_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

